Hey I found an issue with KotlinPoet and KSP 1.7.0...
# squarelibraries
m
Hey I found an issue with KotlinPoet and KSP 1.7.0-1.6.0 - transitive Aliases causing a IllegalStateException in the TypeParameterResolver. Are you open for an PR?
z
PR welcome!
You mean 1.0.6 right?
m
KSP - yes but the Kotlin 1.7.0 edition quasi.
PR is up.
­čĹŹ 1
May I ask a 2nd question - is there a special reason why here are jvm Function referenced and not the Kotlin equivalent? This could potentially break for KMP.
z
Likely a leftover from some kotlinx-metadata support, PR welcome!
m
On it (after dinner)